//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 1 lights, 4 textures and 24 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5b.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 12/31/1997    (31.12.1997)
//

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray exports for POV-Ray.
//





global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <-4.796, -7.079, 4.220>
  direction <0.0,     0.0,  2.1947>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <0.941, -0.999, 0.245>
}

// *******  L I G H T S *******
light_source { // AreaL001
  <-8.833, -6.143, 5.148>
  color  rgb<1.051, 0.902, 0.761>
  area_light <1.346, 1.042, 1.051>, <-1.224, 1.582, 0.000>, 3, 3
  adaptive 1
  jitter
}



// ********  TEXTURES  *******
//

#include "napp.inc"



// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******



torus { // Ring
  1.25, 0.2  rotate -x*90
  texture {
    Texture02
  }
  rotate 81.74511*y
  translate  <3.440182, 0.0, -0.238773>
}


//
// Include file contains 'RotSwp001'
//
#include "napp.in1"
object {   // RotSwp001
  RotSwp001_Raw
  texture {
    Texture01
  }
  scale <2.049846, 1.946628, 1.30438>
  rotate 62.325096*y
  translate  <2.223829, 0.0, 0.530363>
}


#declare CSG001 = difference {
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    texture {
      Texture01
    }
    scale <1.75, 1.75, 0.22>
    rotate -90.0*y
    translate  1.6*x
  }
  cylinder { // Cut1
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    rotate -90.0*y
    translate  <1.96464, -1.147006, -0.00217>
  }
  cylinder { // Cut2
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    rotate -90.0*y
    translate  <1.96464, -0.828393, 0.775245>
  }
  cylinder { // Cut3
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    rotate -90.0*y
    translate  <1.96464, -0.790159, -0.792329>
  }
  cylinder { // Cut4
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    rotate -90.0*y
    translate  <1.96464, 0.0, -1.149175>
  }
  cylinder { // Cut5
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    rotate -90.0*y
    translate  <1.96464, 0.828393, -0.817818>
  }
  cylinder { // Cut6
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    rotate -90.0*y
    translate  <1.96464, 1.15975, -0.00217>
  }
  cylinder { // Cut7
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    rotate -90.0*y
    translate  <1.96464, 0.815648, 0.800734>
  }
  cylinder { // Cut8
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    rotate -90.0*y
    translate  <1.96464, 0.0, 1.144836>
  }
  cylinder { // Cut9
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.0>
    rotate -90.0*y
    translate  <1.96464, 0.0, 1.144836>
  }
  texture {
    Texture01
  }
}
#declare Blob001 = blob {
  threshold 0.6
  component 1.0, 1.770789, <0.008439, 0.008439, 0.0>
  component 1.0, 1.040691, <1.662447, 0.0, -0.008439>
  
sturm
  texture {
    NappTex
  }
  scale <1.073185, 1.0, 1.0>
  translate  -0.282532*x
}

union { // HelaNappen
  object { CSG001 }
  object { Blob001 }
  torus { // Torus001
    1.5, 0.11  rotate -x*90
    texture {
      Texture01
    }
    scale 1.163859
    rotate -90.0*y
    translate  <1.490138, 0.0, -0.00234>
  }
  torus { // Torus002
    0.3, 0.11  rotate -x*90
    texture {
      Texture01
    }
    rotate -90.0*y
    translate  <1.488434, 1.162178, -0.004809>
  }
  torus { // Torus3
    0.3, 0.11  rotate -x*90
    texture {
      Texture01
    }
    rotate -90.0*y
    translate  <1.488104, -1.143759, -0.002111>
  }
  torus { // Torus4
    0.3, 0.11  rotate -x*90
    texture {
      Texture01
    }
    rotate -90.0*y
    translate  <1.493232, 0.003001, -1.148097>
  }
  torus { // Torus5
    0.3, 0.11  rotate -x*90
    texture {
      Texture01
    }
    rotate -90.0*y
    translate  <1.492425, 0.829594, -0.815597>
  }
  torus { // Torus6
    0.3, 0.11  rotate -x*90
    texture {
      Texture01
    }
    rotate -90.0*y
    translate  <1.490513, -0.827652, 0.777384>
  }
  torus { // Torus7
    0.3, 0.11  rotate -x*90
    texture {
      Texture01
    }
    rotate -90.0*y
    translate  <1.489052, 0.0, 1.153113>
  }
  torus { // Torus8
    0.3, 0.11  rotate -x*90
    texture {
      Texture01
    }
    rotate -90.0*y
    translate  <1.48912, 0.818097, 0.798045>
  }
  torus { // Torus10
    0.3, 0.11  rotate -x*90
    texture {
      Texture01
    }
    rotate -90.0*y
    translate  <1.489265, -0.791149, -0.79002>
  }
  rotate -28.020437*y
  translate  <-0.257115, 0.0, -0.771344>
}


object {   // HgtFld001
  height_field {
    tga "C:\POV301\MINAPOV\TEXTURES\TRPLANK.TGA"
    water_level 0.0
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    DMFLightOak1
    scale <1.993796, 2.00393, 1.0>
  translate <0.003346, -1.002894, 0.000000>
  }
  scale <20.602594, 18.689871, 0.163739>
  translate  <2.113116, 13.911082, -1.901808>
}


